TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.DestinationInfo Class Reference

This abstract class contains methods common to both QueueInfo and TopicInfo. More...

Inheritance diagram for TIBCO.EMS.ADMIN.DestinationInfo:

## Public Member Functions
void | AddImportTransport (string transportName)
| Add a new import transport to the list of transports this destination imports messages from. More...
void | RemoveImportTransport (string transportName)
| Remove an import transport from the list of transports this destination imports messages from. More...
string | StatString ()
| Helper method that generates the statistical information in the form of a string. More...

## Public Attributes
const int | PREFETCH_NONE = - 1
| Indicates no messages will be prefetched into the EMS client. More...
const int | PREFETCH_DEFAULT = 0
| Indicates that the default number of messages will be prefetched into the EMS client. More...
const byte | MSG_TRACE_NONE = (byte) (0x00)
| Indicates that messages will not be traced. More...
const byte | MSG_TRACE_BASIC = (byte) (0x01)
| Indicates that message sequence number and message ID will be traced. More...
const byte | MSG_TRACE_DETAIL = (byte) (0x03)
| Indicates that the message body will be traced in addition to the message sequnce number and message ID, . More...

## Properties
string[] | JNDINames`[get]`
| Get the array of JNDI names for this destination. More...
string | Name`[get]`
| Get the name of this destination. More...
string | Description`[get, set]`
| Get or set the description of this destination. More...
bool | Failsafe`[get, set]`
| Get or set the failsafe property of this destination. More...
bool | FailsafeInherited`[get]`
| Determine if the failsafe property was inherited from a parent destination or set directly for this destination. More...
bool | Secure`[get, set]`
| Get or set the secure property of this destination. More...
bool | SecureInherited`[get]`
| Determine if the secure property was inherited from a parent destination or set directly for this destination. More...
bool | Global`[get, set]`
| Get or set the global property of this destination. More...
bool | GlobalInherited`[get]`
| Determine if the global property was inherited from a parent destination or set directly for this destination. More...
int | Prefetch`[get, set]`
| Get or set the number of messages prefetched by the EMS client from the server to improve efficiency. More...
bool | PrefetchInherited`[get]`
| Determine if the prefetch setting for this queue is inherited from a parent queue. More...
string[] | ImportTransports`[get]`
| Get the names of the transports that this destination imports messages from. More...
BridgeTarget[] | BridgeTargets`[get]`
| Get the target destinations that this destination bridges to. More...
bool | SenderName`[get, set]`
| Get or set sender_name property for this destination. More...
bool | SenderNameInherited`[get]`
| Indicates whether or not the sender_name property is inherited. More...
bool | SenderNameEnforced`[get, set]`
| Get or set sender_name_enforced property. More...
bool | SenderNameEnforcedInherited`[get]`
| Indicates whether or not the sender_name_enforced is inherited. More...
long | MaxBytes`[get, set]`
| Get or set the maximum number of message bytes that the server will store for pending messages bound for this destination. More...
bool | MaxBytesInherited`[get]`
| Determine if the maxBytes property was inherited from a parent destination or set directly for this destination. More...
long | MaxMsgs`[get, set]`
| Get or set the maximum number of messages that the server will store for pending messages bound for this destination. More...
bool | MaxMsgsInherited`[get]`
| Determine if the maxMsgs property was inherited from a parent destination or set directly for this destination. More...
OverflowPolicyType | OverflowPolicy`[get, set]`
| Get or set the overflow policy for this destination. More...
bool | OverflowPolicyInherited`[get]`
| Determine if the overflowPolicy property was inherited from a parent destination or set directly for this destination. More...
byte | MsgTrace`[get, set]`
| Get or set the level of message tracing for this destination. More...
bool | MsgTraceInherited`[get]`
| Determine if the message trace property was inherited from a parent destination or set directly for this destination. More...
long | FlowControlMaxBytes`[get, set]`
| Get or set the volume of pending messages (in bytes) at which flow control is enabled for this destination. More...
bool | FlowControlMaxBytesInherited`[get]`
| Determine if the flowControlMaxBytes property was inherited from a parent destination or set directly for this destination. More...
bool | Static`[get]`
| Determine if this destination is static. More...
bool | Temporary`[get]`
| Determine if this destination is temporary. More...
long | ConnectionID`[get]`
| Get a temporary destination's connection ID. More...
long | PendingMessageCount`[get]`
| Get the total number of pending messages for this destination. More...
long | PendingMessageSize`[get]`
| Get the total size for all pending messages for this destination. More...
long | PendingPersistentMessageCount`[get]`
| Get the total number of pending messages for this destination that were sent persistently. More...
long | PendingPersistentMessageSize`[get]`
| Get the total size for all pending messages for this destination that were sent persistently. More...
int | ConsumerCount`[get]`
| Get the number of consumers for this destination. More...
StatData | InboundStatistics`[get]`
| Get inbound statistics for this destination. More...
StatData | OutboundStatistics`[get]`
| Get outbound statistics for this destination. More...
long | ExpiryOverride`[get, set]`
| Get or set the expiry override for this destination. More...
bool | ExpiryOverrideInherited`[get]`
| Determine if the expiry override property was inherited from a parent destination or set directly for this destination. More...
long | RedeliveryDelay`[get, set]`
| Get or set the redelivery delay for this queue. More...
bool | RedeliveryDelayInherited`[get]`
| Determine if the redelivery delay property was inherited from a parent queue or set directly for this queue. More...
string | Store`[get, set]`
| Set or Get the store of this destination. More...
bool | StoreInherited`[get]`
| Determine if the store property was inherited from a parent destination or set directly for this destination. More...
bool | ImportTransportsInherited`[get]`
| Determines if the list of transports this destination imports messages from was inherited from a parent destination or whether it was set on the destination directly. More...
bool | BridgeTargetsInherited`[get]`
| Determines if the list of targets was inherited from a parent destination or whether it was set on the destination directly. More...

## Detailed Description

This abstract class contains methods common to both QueueInfo and TopicInfo.

It represents a Topic or Queue known to the server. Destinations fall into three categories: static, dynamic, and temporary. Static destinations are explicitly configured and appear in the configuration files on the server. Dynamic destinations are created dynamically by EMS clients or routed servers. Dynamic destinations cannot be modified.

Temporary destinations are defined by the JMS specification. Temporary destinations cannot be modified.

TopicInfo or QueueInfo objects received via Admin.GetTopic() or Admin.GetQueue() methods do not contain the statistical data about the destination. In order to obtain statistical information about destinations use Admin.GetTopicsStatistics() or Admin.GetQueuesStatistics().

## Member Function Documentation

void TIBCO.EMS.ADMIN.DestinationInfo.AddImportTransport | ( | string | transportName | ) |
| inline

Add a new import transport to the list of transports this destination imports messages from.

If the current list of transports has been inherited from a parent destination then adding a transport will stop the inheritance and the inherited transports will all be removed from the list and replaced with the new one. From then on ImportTransportsInherited will indicate that the transports are no longer inherited and future calls to addImportTransport will simply add new transports to the list.

Parameters

  transportName | the name of the transport.

Exceptions

  AdminInvalidNameException | if transportName is not a legal transport name

void TIBCO.EMS.ADMIN.DestinationInfo.RemoveImportTransport | ( | string | transportName | ) |
| inline

Remove an import transport from the list of transports this destination imports messages from.

The removal of a transport from the list if the transports are inherited from a parent destination is not permitted and results in an exception.

Parameters

  transportName | the name of the transport.

Exceptions

  AdminInvalidNameException | if transportName is not a legal transport name
  AdminException | if import transports is inherited

string TIBCO.EMS.ADMIN.DestinationInfo.StatString | ( |  | ) |
| inline

Helper method that generates the statistical information in the form of a string.

Returns
  String representation of statistical information.

## Member Data Documentation

const byte TIBCO.EMS.ADMIN.DestinationInfo.MSG_TRACE_BASIC = (byte) (0x01)

Indicates that message sequence number and message ID will be traced.

const byte TIBCO.EMS.ADMIN.DestinationInfo.MSG_TRACE_DETAIL = (byte) (0x03)

Indicates that the message body will be traced in addition to the message sequnce number and message ID, .

const byte TIBCO.EMS.ADMIN.DestinationInfo.MSG_TRACE_NONE = (byte) (0x00)

Indicates that messages will not be traced.

const int TIBCO.EMS.ADMIN.DestinationInfo.PREFETCH_DEFAULT = 0

Indicates that the default number of messages will be prefetched into the EMS client.

const int TIBCO.EMS.ADMIN.DestinationInfo.PREFETCH_NONE = - 1

Indicates no messages will be prefetched into the EMS client.

## Property Documentation

BridgeTarget [] TIBCO.EMS.ADMIN.DestinationInfo.BridgeTargets
| get

Get the target destinations that this destination bridges to.

Returns
  array of BridgeTarget objects.

bool TIBCO.EMS.ADMIN.DestinationInfo.BridgeTargetsInherited
| get

Determines if the list of targets was inherited from a parent destination or whether it was set on the destination directly.

Returns
  true if targets inherited from parent, false otherwise.

long TIBCO.EMS.ADMIN.DestinationInfo.ConnectionID
| get

Get a temporary destination's connection ID.

Returns
  the connection ID for a temporary destination.

Since EMS 8.2.0

int TIBCO.EMS.ADMIN.DestinationInfo.ConsumerCount
| get

Get the number of consumers for this destination.

Returns
  the number of consumers for this destination.

string TIBCO.EMS.ADMIN.DestinationInfo.Description
| get set

Get or set the description of this destination.

Deprecated as of release 4.4.0 because destinations never had a description property.

Returns
  the description of this destination.

long TIBCO.EMS.ADMIN.DestinationInfo.ExpiryOverride
| get set

Get or set the expiry override for this destination.

When this property is set for a destination, and the server delivers a message to it, the server replaces the producer's expiration value with this value.

Returns
  the expiry time in milliseconds.

bool TIBCO.EMS.ADMIN.DestinationInfo.ExpiryOverrideInherited
| get

Determine if the expiry override property was inherited from a parent destination or set directly for this destination.

Returns
  true if the expiry override property was inherited.

bool TIBCO.EMS.ADMIN.DestinationInfo.Failsafe
| get set

Get or set the failsafe property of this destination.

Returns
  true if this destination is failsafe.

bool TIBCO.EMS.ADMIN.DestinationInfo.FailsafeInherited
| get

Determine if the failsafe property was inherited from a parent destination or set directly for this destination.

Returns
  true if the failsafe property was inherited.

long TIBCO.EMS.ADMIN.DestinationInfo.FlowControlMaxBytes
| get set

Get or set the volume of pending messages (in bytes) at which flow control is enabled for this destination.

Returns
  the volume of pending messages (in bytes) that the server will store for this destination before enabling flow control. A return value of zero indicates that flow control will never be enabled.

bool TIBCO.EMS.ADMIN.DestinationInfo.FlowControlMaxBytesInherited
| get

Determine if the flowControlMaxBytes property was inherited from a parent destination or set directly for this destination.

Returns
  true if the flowControlMaxBytes property was inherited.

bool TIBCO.EMS.ADMIN.DestinationInfo.Global
| get set

Get or set the global property of this destination.

Returns
  true if this destination is global.

bool TIBCO.EMS.ADMIN.DestinationInfo.GlobalInherited
| get

Determine if the global property was inherited from a parent destination or set directly for this destination.

Returns
  true if the global property was inherited.

string [] TIBCO.EMS.ADMIN.DestinationInfo.ImportTransports
| get

Get the names of the transports that this destination imports messages from.

Returns
  array of transport names.

bool TIBCO.EMS.ADMIN.DestinationInfo.ImportTransportsInherited
| get

Determines if the list of transports this destination imports messages from was inherited from a parent destination or whether it was set on the destination directly.

Returns
  true if transport list inherited from parent, false otherwise.

StatData TIBCO.EMS.ADMIN.DestinationInfo.InboundStatistics
| get

Get inbound statistics for this destination.

Inbound statistics refers to all messages sent into this destination by EMS clients and routed server.

Returns
  the inbound statistics for this destination

string [] TIBCO.EMS.ADMIN.DestinationInfo.JNDINames
| get

Get the array of JNDI names for this destination.

Returns
  the array of JNDI names for this destination.

long TIBCO.EMS.ADMIN.DestinationInfo.MaxBytes
| get set

Get or set the maximum number of message bytes that the server will store for pending messages bound for this destination.

Returns
  the maximum number of message bytes that the server will store for pending messages bound for this destination.

bool TIBCO.EMS.ADMIN.DestinationInfo.MaxBytesInherited
| get

Determine if the maxBytes property was inherited from a parent destination or set directly for this destination.

Returns
  true if the maxBytes property was inherited.

long TIBCO.EMS.ADMIN.DestinationInfo.MaxMsgs
| get set

Get or set the maximum number of messages that the server will store for pending messages bound for this destination.

Returns
  the maximum number of messages that the server will store for pending messages bound for this destination.

bool TIBCO.EMS.ADMIN.DestinationInfo.MaxMsgsInherited
| get

Determine if the maxMsgs property was inherited from a parent destination or set directly for this destination.

Returns
  true if the maxMsgs property was inherited.

byte TIBCO.EMS.ADMIN.DestinationInfo.MsgTrace
| get set

Get or set the level of message tracing for this destination.

Returns
  a byte representing the level of message tracing for this destination.

Exceptions

  ArgumentException | if trace is invalid.

bool TIBCO.EMS.ADMIN.DestinationInfo.MsgTraceInherited
| get

Determine if the message trace property was inherited from a parent destination or set directly for this destination.

Returns
  true if the trace property was inherited, false otherwise.

string TIBCO.EMS.ADMIN.DestinationInfo.Name
| get

Get the name of this destination.

Returns
  the name of this destination.

StatData TIBCO.EMS.ADMIN.DestinationInfo.OutboundStatistics
| get

Get outbound statistics for this destination.

Outbound statistics refers to all messages sent by the server to consumers on this destination and to other routed server.

Returns
  the outbound statistics for this destination.

OverflowPolicyType TIBCO.EMS.ADMIN.DestinationInfo.OverflowPolicy
| get set

Get or set the overflow policy for this destination.

Returns
  the overflow policy for this destination.

bool TIBCO.EMS.ADMIN.DestinationInfo.OverflowPolicyInherited
| get

Determine if the overflowPolicy property was inherited from a parent destination or set directly for this destination.

Returns
  true if the overflowPolicy property was inherited.

long TIBCO.EMS.ADMIN.DestinationInfo.PendingMessageCount
| get

Get the total number of pending messages for this destination.

Returns
  the total number of pending messages for this destination.

long TIBCO.EMS.ADMIN.DestinationInfo.PendingMessageSize
| get

Get the total size for all pending messages for this destination.

Returns
  the total size for all pending messages for this destination.

long TIBCO.EMS.ADMIN.DestinationInfo.PendingPersistentMessageCount
| get

Get the total number of pending messages for this destination that were sent persistently.

Returns
  the total number of pending messages for this destination that were sent persistently.

since EMS 6.1

long TIBCO.EMS.ADMIN.DestinationInfo.PendingPersistentMessageSize
| get

Get the total size for all pending messages for this destination that were sent persistently.

Returns
  the total number of pending messages for this destination that were sent persistently.

since EMS 6.1

int TIBCO.EMS.ADMIN.DestinationInfo.Prefetch
| get set

Get or set the number of messages prefetched by the EMS client from the server to improve efficiency.

Returns
  the number of messages prefetched by the EMS client.

To use the default prefetch setting, prefetch should be set to PREFETCH_DEFAULT. To disable this feature so messages are not prefetched into the client set prefetch to PREFETCH_NONE.

bool TIBCO.EMS.ADMIN.DestinationInfo.PrefetchInherited
| get

Determine if the prefetch setting for this queue is inherited from a parent queue.

Returns
  true if the prefetch setting for this queue is inherited from a parent queue.

long TIBCO.EMS.ADMIN.DestinationInfo.RedeliveryDelay
| get set

Get or set the redelivery delay for this queue.

When this property is set to a non-zero value for a destination, and the server needs to redeliver it to a consumer, the server delays resending the message for at least this amount of time.

Returns
  the redelivery delay in milliseconds.

bool TIBCO.EMS.ADMIN.DestinationInfo.RedeliveryDelayInherited
| get

Determine if the redelivery delay property was inherited from a parent queue or set directly for this queue.

Returns
  true if the redelivery delay property was inherited.

bool TIBCO.EMS.ADMIN.DestinationInfo.Secure
| get set

Get or set the secure property of this destination.

Returns
  true if this destination is secure.

bool TIBCO.EMS.ADMIN.DestinationInfo.SecureInherited
| get

Determine if the secure property was inherited from a parent destination or set directly for this destination.

Returns
  true if the secure property was inherited.

bool TIBCO.EMS.ADMIN.DestinationInfo.SenderName
| get set

Get or set sender_name property for this destination.

Returns
  true if sender_name property is set on this destionation, false otherwise.

bool TIBCO.EMS.ADMIN.DestinationInfo.SenderNameEnforced
| get set

Get or set sender_name_enforced property.

Returns
  true if sender_name_enforced property is set on this destionation, false otherwise.

bool TIBCO.EMS.ADMIN.DestinationInfo.SenderNameEnforcedInherited
| get

Indicates whether or not the sender_name_enforced is inherited.

Returns
  true if sender_name_enforced property is inherited, false otherwise.

bool TIBCO.EMS.ADMIN.DestinationInfo.SenderNameInherited
| get

Indicates whether or not the sender_name property is inherited.

Returns
  true if sender_name property is inherited, false otherwise.

bool TIBCO.EMS.ADMIN.DestinationInfo.Static
| get

Determine if this destination is static.

A destination is static if it is explicitly configured on the server. Temporary destinations and destinations created by the client without being configured on the server are not static. Only static destinations can be modified. Attempts to modify dynamic and temporary destinations will throw an exception.

Returns
  true if this destination is static.

string TIBCO.EMS.ADMIN.DestinationInfo.Store
| get set

Set or Get the store of this destination.

Returns
  the store of this destination.

Exceptions

  ArgumentException | if value is null or empty

bool TIBCO.EMS.ADMIN.DestinationInfo.StoreInherited
| get

Determine if the store property was inherited from a parent destination or set directly for this destination.

Returns
  true if the store override property was inherited.

bool TIBCO.EMS.ADMIN.DestinationInfo.Temporary
| get

Determine if this destination is temporary.

Returns
  true if this destination is temporary.